Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceOperAccountType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccountTypeAbstract
ru.bitel.bgbilling.modules.voice.common.bean.VoiceOperAccountType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class VoiceOperAccountType extends VoiceAccountTypeAbstract

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccountTypeAbstract

  `isOperator`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceOperAccountType()`
  `VoiceOperAccountType(int id, String title)`
  `VoiceOperAccountType(String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isNeedFromPorts()`
  `boolean`
  `isNeedNoRegexpA()`
  `boolean`
  `isNeedNoRegexpB()`
  `boolean`
  `isNeedRegexpA()`
  `boolean`
  `isNeedRegexpB()`
  `boolean`
  `isNeedRegexpFromPorts()`
  `boolean`
  `isNeedRegexpToPorts()`
  `boolean`
  `isNeedToPorts()`
  `VoiceOperAccountType`
  `setConfig(String config)`
  `VoiceOperAccountType`
  `setEntitySpecId(int entitySpecId)`
  `VoiceOperAccountType`
  `setNeedFromPorts(boolean needFromPorts)`
  `VoiceOperAccountType`
  `setNeedNoRegexpA(boolean needNoRegexpA)`
  `VoiceOperAccountType`
  `setNeedNoRegexpB(boolean needNoRegexpB)`
  `VoiceOperAccountType`
  `setNeedRegexpA(boolean needRegexpA)`
  `VoiceOperAccountType`
  `setNeedRegexpB(boolean needRegexpB)`
  `VoiceOperAccountType`
  `setNeedRegexpFromPorts(boolean needRegexpFromPorts)`
  `VoiceOperAccountType`
  `setNeedRegexpToPorts(boolean needRegexpToPorts)`
  `VoiceOperAccountType`
  `setNeedToPorts(boolean needToPorts)`
  `VoiceOperAccountType`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccountTypeAbstract

  `getConfig, isOperator`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceOperAccountType

    public VoiceOperAccountType()

  - ### VoiceOperAccountType

    public VoiceOperAccountType(int id, String title)

  - ### VoiceOperAccountType

    public VoiceOperAccountType(String title)

- ## Method Details

  - ### isNeedFromPorts

    public boolean isNeedFromPorts()

  - ### isNeedNoRegexpA

    public boolean isNeedNoRegexpA()

  - ### isNeedNoRegexpB

    public boolean isNeedNoRegexpB()

  - ### isNeedRegexpA

    public boolean isNeedRegexpA()

  - ### isNeedRegexpB

    public boolean isNeedRegexpB()

  - ### isNeedRegexpFromPorts

    public boolean isNeedRegexpFromPorts()

  - ### isNeedRegexpToPorts

    public boolean isNeedRegexpToPorts()

  - ### isNeedToPorts

    public boolean isNeedToPorts()

  - ### setEntitySpecId

    public VoiceOperAccountType setEntitySpecId(int entitySpecId)
    Overrides:
      `setEntitySpecId` in class `AbstractEntity`

  - ### setNeedFromPorts

    public VoiceOperAccountType setNeedFromPorts(boolean needFromPorts)

  - ### setNeedNoRegexpA

    public VoiceOperAccountType setNeedNoRegexpA(boolean needNoRegexpA)

  - ### setNeedNoRegexpB

    public VoiceOperAccountType setNeedNoRegexpB(boolean needNoRegexpB)

  - ### setNeedRegexpA

    public VoiceOperAccountType setNeedRegexpA(boolean needRegexpA)

  - ### setNeedRegexpB

    public VoiceOperAccountType setNeedRegexpB(boolean needRegexpB)

  - ### setNeedRegexpFromPorts

    public VoiceOperAccountType setNeedRegexpFromPorts(boolean needRegexpFromPorts)

  - ### setNeedRegexpToPorts

    public VoiceOperAccountType setNeedRegexpToPorts(boolean needRegexpToPorts)

  - ### setNeedToPorts

    public VoiceOperAccountType setNeedToPorts(boolean needToPorts)

  - ### setTitle

    public VoiceOperAccountType setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setConfig

    public VoiceOperAccountType setConfig(String config)
    Overrides:
      `setConfig` in class `VoiceAccountTypeAbstract`